Page MenuHomePhabricator

Capitalize property headings in the Special:AboutTopic view
Closed, DeclinedPublic

Description

A Wikibase client can use lowercase labels for properties. This is for example the case for Wikidata.

The UI would be more clean if these properties could be capitalized.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterCapitalize properties' labels

Event Timeline

Dereckson claimed this task.
Dereckson raised the priority of this task from to Needs Triage.
Dereckson updated the task description. (Show Details)
Dereckson added a project: ArticlePlaceholder.
Dereckson moved this task to Incoming on the ArticlePlaceholder board.
Dereckson added a subscriber: Dereckson.
Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 4 2016, 11:19 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Change 268615 had a related patch set uploaded (by Dereckson):
Capitalize properties' labels

https://gerrit.wikimedia.org/r/268615

Dereckson added a subscriber: Lucie.Feb 5 2016, 3:41 AM

Different wikis may have different preferences. The headings should be customizable per-wiki.

Dereckson added a subscriber: SPQRobin.EditedFeb 5 2016, 8:56 AM

A preference has a cost, we need to maintain it on the long term, and as such, should be justified by a use case, not a "may".

@Ricordisamoa would you know a language where headings are not capitalized AND the ucfirst method still capitalizes them (because the lua ucfirst method from our language library has exception to bypass such languages)?

It seems we already have a similar discussion for the languages column capitalization when the CLDR switched to lowercase.

@SPQRobin, could you give us some summary of the final decision on the matter?

A preference has a cost, we need to maintain it on the long term, and as such, should be justified by a use case, not a "may".

I didn't mean a user setting of course. I expect the ArticlePlaceholder to be fully extendible and customizable through Lua.

Nikki added a subscriber: Nikki.Feb 10 2016, 12:00 PM

Some property names start with an intentional lowercase letter, e.g. https://www.wikidata.org/wiki/Property:P1117 and https://www.wikidata.org/wiki/Property:P2281 (in English)

I have no idea how the ucfirst method works, but I think for some African languages, it's not always the first letter that's capitalised (e.g. some of the headings on https://ss.wikipedia.org/wiki/Likhasi_Lelikhulu start with "iWikipedia")

Dereckson added a comment.EditedFeb 10 2016, 3:01 PM

For African languages, that could be fine, our ucfirst message method comply with localization rules and is language specific.

For pKa, this is more annoying. Labels don't have properties, so, we can't mark them intentionally lowercase.

message.


What about a Property: prefix?

A better approach could be to use a prefix, but current design don't let really any place for that, so we should also decrease the heading font size.

"manner of death" would become "Property: manner of death", with the "Property: " a customizable localized message.


If no satisfactory approach could be found

If that couldn't work by lack of place, a PKa or an ITunes is probably more acceptable than "manner of death" or "languages spoken or written" always in lowercase.

Indeed, virtually all the labels are currently wrongly displayed, as Wikipedia conventions require headings to be capitalized. Not to fix it because there would be SOME labels wrongly capitalized is a fallacious argument, as we would choose to display wrongly every > 93% labels to display correctly < 7% of them.

So, at the worst, we could also apply the ucfirst transformation to solve the issue for the majority of labels provide a setting ArticlePlaceholderPropertiesInLowercase array properties to mark the rare properties intended to be in lowercase, but that won't be optimal either, as they could be in lowercase in some, uppercase in other languages e.g. "iTunes identifier" vs. « identifiant iTunes ».

Indeed, virtually all the labels are currently wrongly displayed, as Wikipedia conventions require headings to be capitalized.

I dare you to read all of the 280 conventions to prove your statement :-)

hoo set Security to None.Feb 10 2016, 7:44 PM
hoo added a subscriber: Lydia_Pintscher.
Lydia_Pintscher closed this task as Declined.Feb 10 2016, 10:34 PM

I don't think we should do capitalization by default based on what others said already. Depending on local convention each project can adjust this as they wish locally.

Change 268615 abandoned by Thiemo Mättig (WMDE):
Capitalize properties' labels

Reason:
T125913 got declined.

https://gerrit.wikimedia.org/r/268615

Lucie moved this task from Incoming to Done on the ArticlePlaceholder board.May 10 2016, 11:54 AM